#    Society Self-Service
#    Copyright © 2018-2019  Yingtong Li (RunasSudo)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.

from django.urls import path

from . import views

urlpatterns = [
	path('bulletin/', views.bulletin_list, name='bulletin_list'),
	path('bulletin/new/', views.bulletin_new, name='bulletin_new'),
	path('bulletin/edit/<int:id>', views.bulletin_edit, name='bulletin_edit'),
	path('bulletin/delete/<int:id>', views.bulletin_delete, name='bulletin_delete'),
	path('bulletin/preview/', views.bulletin_preview, name='bulletin_preview'),
	path('calendar/', views.calendar_list, name='calendar_list'),
	path('calendar/new/', views.calendar_new, name='calendar_new'),
	path('calendar/edit/<int:id>', views.calendar_edit, name='calendar_edit'),
	path('calendar/delete/<int:id>', views.calendar_delete, name='calendar_delete'),
	path('', views.index, name='promotions'),
]
